> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List account mappings

`GET https://api.pagerduty.com/integration-jira-cloud/accounts_mappings`

List existing account mappings.

An Account Mapping establishes a connection between a PagerDuty account and a Jira Cloud instance, enabling integration and synchronization between the two platforms.

Scoped OAuth requires: `jira_cloud_accounts.read`

## Authorization

- **apiKey** (apiKey) — `Authorization` header.
- **bearerAuth** (http) — HTTP bearer.

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Offset to start pagination search results. Default: `0`. Minimum: 0. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |
| `limit` | integer |  | The number of results per page. Default: `25`. Minimum: 1. Maximum: 100. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |

## Response 200

A paginated list of account mappings.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `accounts_mappings` | array of object |  |  |
| `accounts_mappings[].created_at` | string | yes | The time when the account mapping was created. |
| `accounts_mappings[].id` | string (PagerDuty Id) | yes | Unique identifier. Pattern: `^(P[0-9A-Z]{6}\|Q[0-9A-Z]{13})$`. |
| `accounts_mappings[].jira_cloud_account` | object | yes | Details of the Jira Cloud instance connected to the PagerDuty account. |
| `accounts_mappings[].jira_cloud_account.base_url` | string | yes | The base URL of the Jira Cloud instance, used for API calls and constructing links. |
| `accounts_mappings[].pagerduty_account` | object | yes | Details of the PagerDuty account to which the integration is connected. |
| `accounts_mappings[].pagerduty_account.subdomain` | string | yes | The unique subdomain of the PagerDuty account, used to identify and access the account (e.g., `acme` in `https://acme.pagerduty.com`). |
| `accounts_mappings[].updated_at` | string \| null |  | The time when the account mapping was last modified. |
| `limit` | integer |  | Echoes limit pagination property. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |
| `more` | boolean |  | Indicates if there are additional records to return. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |
| `offset` | integer |  | Echoes limit pagination property. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |
| `total` | integer \| null |  | The total number of records matching the given query. [See our Pagination Docs for more information](https://developer.pagerduty.com/docs/ZG9jOjExMDI5NTU4-pagination). |

Example: Request Example

```json
{
  "accounts_mappings": [
    {
      "created_at": "2024-09-12T12:34:55.000Z",
      "id": "PIJ90N7",
      "jira_cloud_account": {
        "base_url": "https://atlassian-subdomain.atlassian.net"
      },
      "pagerduty_account": {
        "subdomain": "pagerduty-subdomain"
      },
      "updated_at": "2024-09-13T10:11:12.000Z"
    }
  ],
  "limit": 25,
  "more": false,
  "offset": 0,
  "total": 1
}
```

## Response 400

Caller provided invalid arguments.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "code": 2001,
    "errors": [
      "Invalid value for field 'name'"
    ],
    "message": "Invalid Input Provided"
  }
}
```

## Response 401

Caller did not supply credentials or did not provide the correct credentials.

## Response 403

Caller is not authorized to manage the requested resource. While the authentication is valid,
the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "errors": [],
    "message": "Forbidden"
  }
}
```

## Response 429

Too many requests have been made, the rate limit has been reached.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "code": 2020,
    "message": "Rate Limit Exceeded"
  }
}
```

## Response 500

Internal server error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Error code. |
| `error.errors` | array of string |  | Error details. |
| `error.message` | string |  | Error message. |

Example: Response Example

```json
{
  "error": {
    "errors": [],
    "message": "Internal server error"
  }
}
```

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
